#!/bin/sh
doas pkill dhclient
print connecting wifi
doas ifconfig iwm0 nwid "E-M5MKIII-P-BJ9A11068" wpakey 18927072
print press key when wifi is connected
read
doas ifconfig iwm0 inet 192.168.0.9
sleep 1

mkdir $HOME/Olympus
cd $HOME/Olympus
for file in $(curl http://192.168.0.10/get_imglist.cgi?DIR=%2FDCIM%2F100OLYMP | cut -d"," -f1,2 | sed 's/,/\//g');
do
    wget -nc http://192.168.0.10$file
done


